List All Certificates V2 Using GET

List All Certificates V2 Using GET

List paginated Certificates

Request
URI
GET
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/locker/api/v2/certificates
COPY
Query Parameters
integer
size
Optional

size

integer
from
Optional

from

string of array
aliasQuery
Optional

aliasQuery


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns CertificatePageDTO of type(s) application/json
{
    "certificates": [
        {
            "algorithm": "string",
            "alias": "string",
            "healthy": false,
            "issuer": "string",
            "referenced": false,
            "sha1": "string",
            "subject": "string",
            "transactionId": "string",
            "vmid": "string"
        }
    ],
    "page": 0,
    "total": 0
}
certificates
Optional

certificates

integer As int64 As int64
page
Optional

page

integer As int64 As int64
total
Optional

total


400

Bad Request

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure